Subject: bug#19219: New command-line syntax for package + version?

From: Christopher Allan Webber <[email-masked]>
Date: Thu, 31 Dec 2015 10:26:56 -0600

Ludovic Courtès writes:

>>>   [email-masked]
>>>   [email-masked]:doc
>>>
>>> I’m not sure if we should also allow:
>>>
>>>   guile:[email-masked]
>>>
>>> Thoughts?
>>
>> I'm OK with that.  Since choosing the reserved characters is not a
>> technical decision, maybe we could poll users?
>
> Yes, why not (bikeshedding ahead! :-)).  Would you like to email
> guix-devel about it?
>
> Note that it only affects the CLI.  The Emacs and Web UIs won’t see any
> difference.
>
> Ludo’.

If the @ is for the optional choice of including a version, I'm good
with it.  It does mean we can never have @ in our package names, but
that might be a good restriction anyway :)

Anyway, I like it, since it's for command-line only.